Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	gstreamer 0.10.x - base plugins
Name:		gst-plugins-base
Version:	0.10.18
Release:	1
License:	GNU/GPL 
URL:		http://gstreamer.sourceforge.net
Group:		Video
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	liba52
Requires:	alsa-lib
Requires:	cdparanoia-III
Requires:	libdvdread
Requires:	libdv
Requires:	gstreamer10
Requires:	arts
Requires:	libavc1394
Requires:	libraw1394
Requires:	libcdaudio
Requires:	freetype
Requires:	libfame
Requires:	faad2
Requires:	flac
Requires:	faac
Requires:	esound
Requires:	libsndfile
Requires:	cairo
Requires:	speex
Requires:	GConf
BuildRequires:	liba52-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	cdparanoia-III-devel
BuildRequires:	libdvdread-devel
BuildRequires:	libdv-devel
BuildRequires:	pkg-config
BuildRequires:	esound-devel
BuildRequires:	faac-devel
BuildRequires:	faad2-devel
BuildRequires:	flac-devel >= 1.1.2
BuildRequires:	gnome-vfs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	lame-devel
BuildRequires:	libpng-devel
BuildRequires:	libvisual-devel 
BuildRequires:	libid3tag-devel
BuildRequires:	libmikmod-devel
BuildRequires:	libmpeg2-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	libogg-devel
BuildRequires:	pango-devel
BuildRequires:	libraw1394-devel
BuildRequires:	libavc1394-devel
BuildRequires:	libshout-devel
BuildRequires:	speex-devel
BuildRequires:	libtheora-1.0-devel
BuildRequires:	libvorbis-devel
BuildRequires:	gstreamer10-devel
BuildRequires:	arts-devel
BuildRequires:	xvidcore-devel
BuildRequires:	libfame-devel
BuildRequires:	libmusicbrainz-devel
BuildRequires:	freetype-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:	gtk2+-devel
BuildRequires:	glib-devel
BuildRequires:	atk-devel
BuildRequires:	pango-devel
BuildRequires:	libsndfile-devel
BuildRequires:	mjpegtools-devel
BuildRequires:	libmad-devel
#BuildRequires:	libpixman-devel
BuildRequires:	libdvdnav-devel
BuildRequires:	libsndfile-devel
BuildRequires:	cairo-devel
BuildRequires:	speex-devel
BuildRequires:	GConf-devel
BuildRequires:	libcdaudio-devel
BuildRequires:	libraw1394-devel
BuildRequires:  liboil-devel
BuildRequires:  ORBit2-devel
BuildRequires:  libbonobo-devel
BuildRequires:  glibc-devel

%description
GStreamer Base Plug-ins is a well-groomed and well-maintained collection of GStreamer plug-ins and elements, spanning the range of possible types of elements one would want to write for GStreamer. It also contains helper libraries and base classes useful for elements. A wide range of video and audio decoders, encoders, and filters are included. This package is intended for the 0.10.x series of gstreamer, if you need plugins for the 0.8.x series you might want to install the gstreamer-plugins-0.8.x package.

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
            --mandir=%_mandir \
            --with-configdir=%_sysconfdir/gstreamer \
            --with-gconf-schema-file-dir=/etc/gnome/gconf/schemas \
            --disable-tests \
            --disable-examples \
            --disable-spc \
	    --enable-gtk-doc=no \
            --sysconfdir=%_sysconfdir \
            --disable-jack 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
# Do NOT package these .so files into -devel !
%_libdir/gstreamer-0.10/*.so
%_datadir/locale
%_mandir/man1
%_datadir/gtk-doc

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
#%_libdir/gstreamer-0.10/*.so
%_libdir/gstreamer-0.10/*.la
%_libdir/gstreamer-0.10/*.a
%_libdir/pkgconfig
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.18-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.10.17-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 0.10.14-1
- Version update
* Tue Mar 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.10.12-1
- Version update
* Thu Nov 16 2006 Christian Metzen <metzench@ccux-linux.de> 0.10.10-2
- rebuild for missing videoscale plugin
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.10-1
- Version update
* Wed Sep 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.9-2
- recompiled against libvisual 0.4.0
* Sat Jul 22 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.10.9-1
- Version update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.7-1
- Version update
* Sun May 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.6-1
- Version update
* Sun Mar 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.5-1
- Initial Release
